chiark
/
gitweb
/
~mdw
/
mirror-admin
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (parent:
15e71a9
)
bin/fetch-ftpsync: Add a script to update the `ftpsync' machinery.
author
Mark Wooding
<mdw@distorted.org.uk>
Mon, 10 Mar 2014 09:44:17 +0000
(09:44 +0000)
committer
Mark Wooding
<mdw@distorted.org.uk>
Mon, 10 Mar 2014 10:45:07 +0000
(10:45 +0000)
It's very simple and stupid. It can get better later.
bin/fetch-ftpsync
[new file with mode: 0755]
patch
|
blob
diff --git a/bin/fetch-ftpsync
b/bin/fetch-ftpsync
new file mode 100755
(executable)
index 0000000..
c1f5e8b
--- /dev/null
+++ b/
bin/fetch-ftpsync
@@ -0,0
+1,19
@@
+#! /bin/sh -e
+
+here=$(pwd)
+tmp=$(mktemp -d)
+trap 'cd; rm -rf "$tmp"' EXIT INT TERM
+
+cd "$tmp"
+git clone "$here" mirror
+cd mirror
+git checkout ftpsync
+
+curl https://ftp-master.debian.org/ftpsync.tar.gz |
+ tar --strip-components=1 -xvmzf - distrib/bin distrib/etc/common
+
+git add bin/ etc/common
+git commit -m"New ftpsync upstream."
+git push
+
+cd "$here"